<?xml version="1.0" encoding="UTF-8"?>
<EIS_TNR>
    <!--AF instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2   32-mono
    -->

    <!--rear main-->
    <AF camera_position="0" camera_index="2">
        <fovcEnable>0</fovcEnable>
        <minLensPosCode>234</minLensPosCode>
        <maxLensPosCode>897</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.06</maxLensPos>
    </AF>

    <!--rear wide-->
    <AF camera_position="0" camera_index="4">
        <fovcEnable>0</fovcEnable>
        <minLensPosCode>282</minLensPosCode>
        <maxLensPosCode>693</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>5.88</maxLensPos>
    </AF>

    <!--rear mono-->
    <AF camera_position="0" camera_index="32">
        <fovcEnable>0</fovcEnable>
        <minLensPosCode>161</minLensPosCode>
        <maxLensPosCode>732</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.03</maxLensPos>
    </AF>

    <!--OISSensor instruction
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2   32-mono
        driverIC:   -1-default   4-Onsenmi124EP3   5-Onsenmi150   6-Onsenmi128   7-DW9781B   9-RenasasS4H   11-DW9787   14-Onsemi129
        gyro_sensor:   -1-default   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260  7-GYRO_VENDOR_TDK_T1000 10-GYRO_VENDOR_BOSCH_BMI3x0
        actuator_type:   -1-default   1-ACTUATOR_TYPE_TDK   2-ACTUATOR_TYPE_MITSUMI
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
    -->

    <!--Onsemi129 driverIC    ST gyroscope    rear main binning-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.11342588</translationGainX>
        <translationGainY>-0.2139917</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>18.98333</offsetTime>
    </OISSensor>
    <!--Onsemi129 driverIC    ST gyroscope    rear main StagerHDR-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1083</translationGainX>
        <translationGainY>-0.2074</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>4.92</offsetTime>
    </OISSensor>

    <!--Onsemi129 driverIC    INVENSENSE gyroscope    rear main  binning-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.1244903</translationGainX>
        <translationGainY>-0.2213198</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>17.5</offsetTime>
    </OISSensor>

    <!--Onsemi129 driverIC    INVENSENSE gyroscope    rear main  StagerHDR-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1082356</translationGainX>
        <translationGainY>-0.1895256</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>2.567</offsetTime>
    </OISSensor>

    <!--Onsemi129 driverIC    BOSCH gyroscope    rear main  binning-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.1341998</translationGainX>
        <translationGainY>-0.2286368</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>17.83333333</offsetTime>
    </OISSensor>
    <!--Onsemi129 driverIC    BOSCH gyroscope    rear main  StagerHDR-->
    <OISSensor camera_index="2" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1292</translationGainX>
        <translationGainY>-0.2</translationGainY>
        <ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>5.5</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    ST gyroscope    rear main binning-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="2" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.1146174</translationGainX>
        <translationGainY>-0.2012794</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>18.946</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    ST gyroscope    rear main StagerHDR-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="2" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1083</translationGainX>
        <translationGainY>-0.2074</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>4.92</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    INVENSENSE gyroscope    rear main  binning-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="0" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.1082356</translationGainX>
        <translationGainY>-0.1895256</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>17.333</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    INVENSENSE gyroscope    rear main  StagerHDR-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="0" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1082356</translationGainX>
        <translationGainY>-0.1895256</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>2.567</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    BOSCH gyroscope    rear main  binning-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="6" actuator_type="-1" sensor_mode="-1">
        <translationGainX>0.11587399</translationGainX>
        <translationGainY>-0.2035163</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>19.6</offsetTime>
    </OISSensor>

    <!--DW9787 driverIC    BOSCH gyroscope    rear main  StagerHDR-->
    <OISSensor camera_index="2" driverIC="11" gyro_sensor="6" actuator_type="-1" sensor_mode="32">
        <translationGainX>0.1292</translationGainX>
        <translationGainY>-0.2</translationGainY>
		<ORC_ratio>0.0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>5.5</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    ST gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="-1">
        <translationGainX>-0.18688</translationGainX>
        <translationGainY>-0.29676</translationGainY>
		<ORC_ratio>-0.0000708365</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>6.6233</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    INVENSENSE gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="-1">
        <translationGainX>-0.17129</translationGainX>
        <translationGainY>-0.28953</translationGainY>
		<ORC_ratio>-0.0000660503</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>6.815</offsetTime>
    </OISSensor>

    <!--DW9781B driverIC    BOSCH gyroscope    rear tele-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="-1">
        <translationGainX>-0.24265</translationGainX>
        <translationGainY>-0.43639</translationGainY>
		<ORC_ratio>0</ORC_ratio>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>1.287</offsetTime>
    </OISSensor>

    <!--EIS instruction
        camera_position:   0—rear   1-front
        camera_index：   2-main   4-wide   8-tele   16-tele2   32-mono
        gyro_sensor:   0-GYRO_VENDOR_INVEN_ICM20690    6-GYRO_VENDOR_BOSCH_BMI260  7-GYRO_VENDOR_TDK_T1000  9-GYRO_VENDOR_SH_SH3001 10-GYRO_VENDOR_BOSCH_BMI3x0
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
        fps:   -1-default   1-30fps   2-60fps   3-auto
        camera_scene：   -1-default   2-dual_video
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
    -->


    <!--INVENSENSE gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.7</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear main StagerHDR-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="0" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.7</focalLength>
        <gyroOffsetTime>0.53</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear main dual-View-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.905</focalLength>
        <gyroOffsetTime>0.535</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear mono-->
    <EIS camera_position="0" camera_index="32" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.821</focalLength>
        <gyroOffsetTime>0.502</gyroOffsetTime>
        <rollingShutterTime>19.037</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm default-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.3916</focalLength>
        <gyroOffsetTime>0.5733</gyroOffsetTime>
        <rollingShutterTime>24.12</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm Super EIS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="9" camera_lensType="-1">
        <focalLength>0.42</focalLength>
        <gyroOffsetTime>0.65</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--INVENSENSE gyroscope    rear wide_freeForm 4K 30FPS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="1" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.413</focalLength>
        <gyroOffsetTime>0.52</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm 4K-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.52</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm FHDP-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="2" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.383</focalLength>
        <gyroOffsetTime>0.786</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm FHDP2-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="3" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.402</focalLength>
        <gyroOffsetTime>0.82</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm stagger default-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.413</focalLength>
        <gyroOffsetTime>0.55</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm stagger 4K 30FPS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="32" resolution="1" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.413</focalLength>
        <gyroOffsetTime>0.635</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm stagger 4K-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="32" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.635</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm stagger FHDP-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="32" resolution="2" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.635</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm stagger FHDP2-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="32" resolution="3" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.635</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear wide_freeForm dual-video-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.511</focalLength>
        <gyroOffsetTime>0.435</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.95</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>15.667</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--INVENSENSE gyroscope    rear tele remosaic default-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.29</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>15.667</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
     <!--INVENSENSE gyroscope    rear tele remosaic 4K-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.29</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>21.058</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
     <!--INVENSENSE gyroscope    rear tele remosaic 19:9-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="2" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.29</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>17.028</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
     <!--INVENSENSE gyroscope    rear tele remosaic 21:9-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="3" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.29</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>17.028</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
     <!--INVENSENSE gyroscope    rear tele remosaic 1080p-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="4" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>9.077</focalLength>
        <gyroOffsetTime>0.47</gyroOffsetTime>
        <rollingShutterTime>12.348</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
     <!--INVENSENSE gyroscope    rear tele remosaic 720p-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="34" resolution="5" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>9.077</focalLength>
        <gyroOffsetTime>0.47</gyroOffsetTime>
        <rollingShutterTime>12.348</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele 60fps-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="2"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.757</focalLength>
        <gyroOffsetTime>0.4900</gyroOffsetTime>
        <rollingShutterTime>16.2</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    rear tele dual-video-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>2.69</focalLength>
        <gyroOffsetTime>0.4575</gyroOffsetTime>
        <rollingShutterTime>21.6</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.3355</focalLength>
        <gyroOffsetTime>0.4933</gyroOffsetTime>
        <rollingShutterTime>27.8</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--INVENSENSE gyroscope    front main StagerHDR-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="0" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.500</focalLength>
        <gyroOffsetTime>0.500</gyroOffsetTime>
        <rollingShutterTime>23.1</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--INVENSENSE gyroscope    front main dual-view-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.844</focalLength>
        <gyroOffsetTime>0.500</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.6873</focalLength>
        <gyroOffsetTime>1.03</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main 4k-30fps-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.6844</focalLength>
        <gyroOffsetTime>1.4966</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main 720p-30fps-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="5" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.7150</focalLength>
        <gyroOffsetTime>1.055</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--BOSCH gyroscope    rear main StagerHDR-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.7</focalLength>
        <gyroOffsetTime>0.645</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear main dual-View-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.905</focalLength>
        <gyroOffsetTime>0.615</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear mono-->
    <EIS camera_position="0" camera_index="32" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.819</focalLength>
        <gyroOffsetTime>0.610</gyroOffsetTime>
        <rollingShutterTime>18.852</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm defaut-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.470</focalLength>
        <gyroOffsetTime>1.0199</gyroOffsetTime>
        <rollingShutterTime>24.794</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm Super EIS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="9" camera_lensType="-1">
        <focalLength>0.3878</focalLength>
        <gyroOffsetTime>1.497</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm 4K30FPS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="1" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.415</focalLength>
        <gyroOffsetTime>0.61</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm 4K-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.484</focalLength>
        <gyroOffsetTime>0.61</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm stagger default-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.413</focalLength>
        <gyroOffsetTime>0.51</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm stagger 4K 30FPS-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="32" resolution="1" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.413</focalLength>
        <gyroOffsetTime>0.595</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm stagger 4K-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="32" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.595</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm stagger FHDP-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="32" resolution="2" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.595</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm stagger FHDP2-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="32" resolution="3" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.483</focalLength>
        <gyroOffsetTime>0.595</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear wide_freeForm dual-View-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.513</focalLength>
        <gyroOffsetTime>0.525</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.515</focalLength>
        <gyroOffsetTime>1.6267</gyroOffsetTime>
        <rollingShutterTime>15.667</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic default-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>15.667</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic 4K-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>21.058</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic 19:9-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="2" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>17.028</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic 21:9-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="3" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>17.028</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic 1080p-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="4" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>12.348</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--BOSCH gyroscope    rear tele remosaic 720p-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="34" resolution="5" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.316</focalLength>
        <gyroOffsetTime>0.523</gyroOffsetTime>
        <rollingShutterTime>12.348</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear tele 60fps-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="2"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.145</focalLength>
        <gyroOffsetTime>0.599</gyroOffsetTime>
        <rollingShutterTime>16.2</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    rear tele dual-View-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>4.72</focalLength>
        <gyroOffsetTime>0.77</gyroOffsetTime>
        <rollingShutterTime>21.6</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    front main dual-view-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="2" camera_lensType="-1">
        <focalLength>0.844</focalLength>
        <gyroOffsetTime>0.500</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.7647</focalLength>
        <gyroOffsetTime>1.270</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    front main StagerHDR-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="6" sensor_mode="32" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.475</focalLength>
        <gyroOffsetTime>0.56</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BOSCH gyroscope    front wide-->
    <EIS camera_position="1" camera_index="4" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.5066</focalLength>
        <gyroOffsetTime>1.352</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--TDK gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="7" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.750</focalLength>
        <gyroOffsetTime>1.283</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>


    <!--TDK gyroscope    rear wide_freeForm defaut-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="7" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.524</focalLength>
        <gyroOffsetTime>1.09</gyroOffsetTime>
        <rollingShutterTime>24.794</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--TDK gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="7" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.480</focalLength>
        <gyroOffsetTime>1.13</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--SH gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="9" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.711</focalLength>
        <gyroOffsetTime>0.455</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>


    <!--SH gyroscope    rear wide_freeForm defaut-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="9" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.487</focalLength>
        <gyroOffsetTime>0.405</gyroOffsetTime>
        <rollingShutterTime>24.794</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--SH gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="9" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.482</focalLength>
        <gyroOffsetTime>0.423</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--BMI_3x0 gyroscope    rear main-->
    <EIS camera_position="0" camera_index="2" gyro_sensor="10" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.722</focalLength>
        <gyroOffsetTime>0.867</gyroOffsetTime>
        <rollingShutterTime>25.83</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>


    <!--BMI_3x0 gyroscope    rear wide_freeForm defaut-->
    <EIS camera_position="0" camera_index="4" gyro_sensor="10" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.497</focalLength>
        <gyroOffsetTime>1.286</gyroOffsetTime>
        <rollingShutterTime>24.794</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--BMI_3x0 gyroscope    front main-->
    <EIS camera_position="1" camera_index="2" gyro_sensor="10" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>0.482</focalLength>
        <gyroOffsetTime>0.905</gyroOffsetTime>
        <rollingShutterTime>13</rollingShutterTime>
        <rollingShutterTimeUsage>0</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>



    <!--ZoomStabilization instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2   32-mono
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear wide freeForm 4K-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="1">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 19:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="2">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 21:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="3">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 1080p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="4">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide freeForm 720p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="-1" resolution="5">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 4K-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="1">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 19:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="2">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 21:9-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="3">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 1080p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="4">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

    <!--rear wide largn 720p-->
    <ZoomStabilization camera_position="0" camera_index="4" camera_lensType="254" resolution="5">
        <minRatio>0.6511</minRatio>
        <inflectionPoint>0.6511</inflectionPoint>
    </ZoomStabilization>

	<!--rear main default-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.6630275</inflectionPoint>
    </ZoomStabilization>

    <!--rear main 4K-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.6630275</inflectionPoint>
    </ZoomStabilization>

    <!--rear main 19:9-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="2">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.3604075</inflectionPoint>
    </ZoomStabilization>

    <!--rear main 21:9-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="3">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.267315</inflectionPoint>
    </ZoomStabilization>

    <!--rear main 1080P 16:9-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="4">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.68573375</inflectionPoint>
    </ZoomStabilization>

    <!--rear main 720P-->
    <ZoomStabilization camera_position="0" camera_index="2" camera_lensType="-1" resolution="5">
        <minRatio>1.0</minRatio>
        <inflectionPoint>2.52914</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono default-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.6630275</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono 4K-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.6630275</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono 19:9-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="2">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.3604075</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono 21:9-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="3">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.267315</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono 1080P 16:9-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="4">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.68573375</inflectionPoint>
    </ZoomStabilization>

    <!--rear mono 720P-->
    <ZoomStabilization camera_position="0" camera_index="32" camera_lensType="-1" resolution="5">
        <minRatio>1.0</minRatio>
        <inflectionPoint>2.52914</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele default-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="-1">
        <minRatio>3.837</minRatio>
        <inflectionPoint>7.367845</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 4K-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="1">
        <minRatio>3.837</minRatio>
        <inflectionPoint>7.367845</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele FHDP 19:9-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="2">
        <minRatio>3.837</minRatio>
        <inflectionPoint>5.965475</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele FHDP2 21:9-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="3">
        <minRatio>3.837</minRatio>
        <inflectionPoint>5.5171575</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1080P 16:9-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="4">
        <minRatio>3.837</minRatio>
        <inflectionPoint>7.35454625</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 720P-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="5">
        <minRatio>3.837</minRatio>
        <inflectionPoint>11.0119425</inflectionPoint>
    </ZoomStabilization>

    <!--front wide defualt-->
    <ZoomStabilization camera_position="1" camera_index="2" camera_lensType="-1" resolution="-1">
        <minRatio>1.0</minRatio>
        <inflectionPoint>1.25</inflectionPoint>
    </ZoomStabilization>

    <!--SensorModeSwitch instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2   32-mono
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear tele default-->
    <SensorModeSwitch camera_position="-1" camera_index="-1" resolution="-1">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 4k-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="1">
        <remosaicModeCoeff>1.041667</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 19:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="2">
        <remosaicModeCoeff>1.28472</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 21:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="3">
        <remosaicModeCoeff>1.38888</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 1080p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="4">
        <remosaicModeCoeff>2.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 720p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="5">
        <remosaicModeCoeff>1.333</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--DistortCorrection instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2   32-mono
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        camera_scene：   -1-default   2-dual_video   9-superEIS
    -->

    <!--rear main KT-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="1" camera_scene="-1">
        <distortRestricWidthRange>4</distortRestricWidthRange>
        <distortRestricHeightRange>2</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear main Largn-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="0" camera_scene="-1">
        <distortRestricWidthRange>1.07</distortRestricWidthRange>
        <distortRestricHeightRange>0.77</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear main Sunny-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="2" camera_scene="-1">
        <distortRestricWidthRange>1.07</distortRestricWidthRange>
        <distortRestricHeightRange>0.77</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear wide normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear wide largen normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="-1">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.76</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear Tele-->
    <DistortCorrection camera_position="0" camera_index="8" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>0</distortRestricWidthRange>
        <distortRestricHeightRange>0</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear wide Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="9">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--rear wide largen Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="9">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.765</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
        <PDCCropRatio>0.0</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <!--front main-->
    <DistortCorrection camera_position="1" camera_index="2" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>33.34</distortRestricWidthRange>
        <distortRestricHeightRange>18.63</distortRestricHeightRange>
        <cropRatio>0.838</cropRatio>
        <PDCCropRatio>0.065</PDCCropRatio>
        <ldcEnable>0</ldcEnable>
    </DistortCorrection>

    <RearCameraExtraCropRatio>
        <defaultExtraCropRatio>0.0</defaultExtraCropRatio>
        <wideExtraCropRatio>0.09</wideExtraCropRatio>
        <mainExtraCropRatio>0.0</mainExtraCropRatio>
        <tele1ExtraCropRatio>0.0</tele1ExtraCropRatio>
        <tele2ExtraCropRatio>0.0</tele2ExtraCropRatio>
    </RearCameraExtraCropRatio>

    <RecedeStabilization>
        <dynamicRecedeStabilizationEnable>0</dynamicRecedeStabilizationEnable>        <!--Int -->
        <mainDynamicRecedeEnable>0</mainDynamicRecedeEnable>        <!--Int -->
        <wideDynamicRecedeEnable>0</wideDynamicRecedeEnable>        <!--Int -->
        <teleDynamicRecedeEnable>0</teleDynamicRecedeEnable>        <!--Int -->
        <tele2DynamicRecedeEnable>0</tele2DynamicRecedeEnable>        <!--Int -->
        <monoDynamicRecedeEnable>0</monoDynamicRecedeEnable>        <!--Int -->
        <motionGain0>0.0</motionGain0>        <!--float -->
        <motionGain1>0.1</motionGain1>        <!--float -->
        <motionGain2>0.2</motionGain2>        <!--float -->
        <motionGain3>0.2</motionGain3>        <!--float -->
        <expoGain0>0.0</expoGain0>        <!--float -->
        <expoGain1>0.0</expoGain1>        <!--float -->
        <expoGain2>4.0</expoGain2>        <!--float -->
        <expoGain3>9.0</expoGain3>        <!--float -->
        <eisDecayPreRatio>0.1</eisDecayPreRatio>        <!--float -->
        <lumaAvgThr>30</lumaAvgThr>        <!--int -->
        <baseWqr>0.05</baseWqr>        <!--float -->
    </RecedeStabilization>

    <!--FaceDeforMation Param-->
    <FaceDeformation>
        <faceDeformationCorrectionEnable>0</faceDeformationCorrectionEnable>
        <rotationLatencyForMainAxis>4</rotationLatencyForMainAxis>
        <faceDeformationThreshlod>0.8</faceDeformationThreshlod>
        <panningCoeff>4.5</panningCoeff>
        <enterPanningCounterSelfieForFace>15</enterPanningCounterSelfieForFace>
        <exitPanningCounterSelfieForFace>15</exitPanningCounterSelfieForFace>
        <maxPanningCounterSelfie>30</maxPanningCounterSelfie>
        <minPanningCounterSelfie>0</minPanningCounterSelfie>
        <maxPanningRSCorrectionRatio>0.65</maxPanningRSCorrectionRatio>
        <minPanningRSCorrectionRatio>0.25</minPanningRSCorrectionRatio>
    </FaceDeformation>

    <FaceStabilization>
        <faceStabilizationEnable>0</faceStabilizationEnable>        <!--Int -->
        <walkingEpsilon>38</walkingEpsilon>        <!--Int -->
        <faceEpsilonUpper>340</faceEpsilonUpper>        <!--Int -->
        <faceEpsilonLower>300</faceEpsilonLower>        <!--Int -->
        <faceEpsilonRatio>0.8</faceEpsilonRatio>
        <faceEpsilonIncrementStep>6</faceEpsilonIncrementStep>        <!--Int -->
        <faceEpsilonDecrementStep>8</faceEpsilonDecrementStep>        <!--Int -->
        <faceEpsilonUpperDecrementStep>20</faceEpsilonUpperDecrementStep>        <!--Int -->
        <faceEpsilonLowerDecrementStep>20</faceEpsilonLowerDecrementStep>        <!--Int -->
        <faceMotionStd>100</faceMotionStd>        <!--Int -->
        <faceMotionIncreaseStep>50</faceMotionIncreaseStep>        <!--Int -->
    </FaceStabilization>

    <MotionBlurReduction>
        <motionBlurReductionEnable>0</motionBlurReductionEnable>        <!--Int -->
        <frameBufferMaxPrevious>2</frameBufferMaxPrevious>        <!--Int -->
        <frameBufferMaxFuture>2</frameBufferMaxFuture>        <!--Int -->
        <continuityFlag>1</continuityFlag>        <!--Int -->
        <continuityInterval>4</continuityInterval>      <!--Int -->
        <mergeCurveTd>-30.0</mergeCurveTd>        <!--float -->
        <mergeCurveSd>0.03</mergeCurveSd>        <!--float -->
        <minFpAlignment>50</minFpAlignment>        <!--Int -->
        <gyroLevelEnlargeCoefficient>300.0</gyroLevelEnlargeCoefficient>        <!--float -->
        <distanceLuckinessWeight>0.3</distanceLuckinessWeight>        <!--float -->
        <alignWDownScale>3</alignWDownScale>        <!--Int -->
        <alignHDownScale>3</alignHDownScale>        <!--Int -->
        <alignLayerMax>3</alignLayerMax>        <!--Int -->
        <alignMinPointNum>6</alignMinPointNum>        <!--Int -->
        <alignCacFlag>1</alignCacFlag>        <!--Int -->
        <disMapCurveBon>6</disMapCurveBon>        <!--float -->
        <disMapCurveSigma>5</disMapCurveSigma>        <!--float -->
        <maxFrontNumBi>0.3</maxFrontNumBi>        <!--float -->
        <sigmaFactor>4.0</sigmaFactor>        <!--float -->
    </MotionBlurReduction>

</EIS_TNR>
